<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="WCFSecurityCenter" elementFormDefault="qualified" targetNamespace="WCFSecurityCenter" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://10.16.25.212:8084/SecurityCenter.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
  <xs:element name="Login">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="LoginResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="LoginResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getRole">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="App" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getRoleResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="getRoleResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="appList">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="appListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="appListResult" nillable="true" type="q1:ArrayOfstring" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="LogOut">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="LogOutResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="LogOutResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getEmail">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element xmlns:q2="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="usernames" nillable="true" type="q2:ArrayOfstring" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getEmailResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="getEmailResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regCreate">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="CompanyName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Address" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="CompanyAddress" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Email" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="ContactPerson" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Telephone" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Faximile" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="MobilePhone" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regCreateResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="regCreateResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regUpdate">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="CompanyName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Address" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="CompanyAddress" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Email" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="ContactPerson" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Telephone" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Faximile" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="MobilePhone" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regUpdateResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="regUpdateResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regDelete">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="UserEmail" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regDeleteResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="regDeleteResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regIsExist">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="UserEmail" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="regIsExistResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="regIsExistResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="genNewUser">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Email" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="genNewUserResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="genNewUserResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="genNewPass">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Email" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="genNewPassResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="genNewPassResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="IsDefaultAppExist">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="UserEmail" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="IsDefaultAppExistResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="IsDefaultAppExistResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="UpdateDefaultApp">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="DefaultApplication" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="UpdateDefaultAppResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UpdateDefaultAppResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getDefaultApp">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="UserName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="getDefaultAppResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="getDefaultAppResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeesData">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="values" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeesDataResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="GetEmployeesDataResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetOrganizationStruct">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Username" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="Password" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="values" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetOrganizationStructResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="GetOrganizationStructResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>